Package org.apache.sysds.runtime.instructions.spark.data

# Class ReblockBuffer

java.lang.Object
org.apache.sysds.runtime.instructions.spark.data.ReblockBuffer

public class ReblockBuffer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ReblockBuffer(int buffersize, long rlen, long clen, int blen)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendCell(long r, long c, double v)`
`List<IndexedMatrixValue>`
`flushBufferToBinaryBlocks()`
`int`
`getCapacity()`
`int`
`getSize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### ReblockBuffer

public ReblockBuffer(int buffersize, long rlen, long clen, int blen)

## Method Details

### appendCell

public void appendCell(long r, long c, double v)

### getSize

public int getSize()

### getCapacity

public int getCapacity()

### flushBufferToBinaryBlocks

public List<IndexedMatrixValue> flushBufferToBinaryBlocks() throws DMLRuntimeException

Throws:
  `DMLRuntimeException`